The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> if_nametoindex - map a network interface name to its corresponding index

#### SYNOPSIS

> ``#include <net/if.h>
> unsigned if_nametoindex(const char *`ifname`);
> ``

#### DESCRIPTION

> The if_nametoindex() function shall return the interface index corresponding to name ifname.

#### RETURN VALUE

> The corresponding index if ifname is the name of an interface; otherwise, zero.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> getsockopt(), if_freenameindex(), if_indextoname(), if_nameindex(), setsockopt(), the Base Definitions volume of IEEE Std 1003.1-2001, <net/if.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the XNS, Issue 5.2 specification.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]